<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [FrameManager](./puppeteer.framemanager.md) &gt; [\_onFrameNavigated](./puppeteer.framemanager._onframenavigated.md)

## FrameManager.\_onFrameNavigated() method

<b>Signature:</b>

```typescript
_onFrameNavigated(framePayload: Protocol.Page.Frame): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  framePayload | Protocol.Page.Frame |  |

<b>Returns:</b>

void

